Solid Edge Part Type Library
SetResultOptions Method
Description
Set results options like stress, displacement etc on study.
Syntax
Visual Basic
Public Sub SetResultOptions( _
   ByVal dwResOpts As ULong _
) 
Parameters
dwResOpts
Remarks
While creating a study we can set various results options on NASTRAN solver. Results options determine what all results we want from the solver. E.g. If we are only interested in displacement results then we can set below option.
Example
Imports System.IO
Imports System.Runtime.InteropServices

Module Example
    <STAThread()> _
    Sub Main()
        Dim objApplication As SolidEdgeFramework.Application = Nothing
        Dim objPartDocument As SolidEdgePart.PartDocument = Nothing
        Dim objStudyOwner As SolidEdgePart.StudyOwner = Nothing
        Dim objStudy As SolidEdgePart.Study = Nothing
        Dim dwResultsOptions As UInt32 = 1052673 ' This includes Stress and Displacement results

        Try
            OleMessageFilter.Register()

            ' Connect to Solid Edge
            objApplication = Marshal.GetActiveObject("SolidEdge.Application")
            objPartDocument = objApplication.ActiveDocument

            objStudyOwner = objPartDocument.StudyOwner
            objStudyOwner.GetActiveStudy(objStudy)

            ' This will return only displacement results and solving will be fast.
            objStudy.SetResultOptions(dwResultsOptions)

        Catch ex As Exception
            Console.WriteLine(ex.Message)
        Finally
            OleMessageFilter.Revoke()
        End Try
    End Sub
End Module
See Also

Study Object  | Study Members  | Solid Edge ST3 - What's New